All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
QoreNothingNode.h File Reference

### (5431)

`#include <qore/AbstractQoreNode.h>`
Include dependency graph for QoreNothingNode.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | QoreNothingNode
| Qore's SQL "NOTHING" parse tree/value type, not-referenced counted, not dynamically allocated. More...

## Functions

static QoreNothingNode * | nothing ()
| returns a pointer to Nothing

## Variables

DLLEXPORT QoreNothingNode | Nothing
| the global and unique NOTHING object in Qore

## Detailed Description

defines the QoreNothingNode class